# TdApi.PushMessageContentChatAddMembers (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: PushMessageContentChatAddMembers

Package it.tdlight.jni

# Class TdApi.PushMessageContentChatAddMembers

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PushMessageContent
it.tdlight.jni.TdApi.PushMessageContentChatAddMembers

Enclosing class:
  TdApi

    public static class TdApi.PushMessageContentChatAddMembers
    extends TdApi.PushMessageContent

New chat members were invited to a group.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`boolean` | `isCurrentUser` | True, if the current user was added to the group.
`boolean` | `isReturned` | True, if the user has returned to the group themselves.
`String` | `memberName` | Name of the added member.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PushMessageContentChatAddMembers()` | New chat members were invited to a group.
`PushMessageContentChatAddMembers​(DataInput input)` |
`PushMessageContentChatAddMembers​(String memberName, boolean isCurrentUser, boolean isReturned)` | New chat members were invited to a group.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### memberName

public String memberName
Name of the added member.

### isCurrentUser

public boolean isCurrentUser
True, if the current user was added to the group.

### isReturned

public boolean isReturned
True, if the user has returned to the group themselves.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### PushMessageContentChatAddMembers

public PushMessageContentChatAddMembers()
New chat members were invited to a group.

### PushMessageContentChatAddMembers

public PushMessageContentChatAddMembers​(String memberName, boolean isCurrentUser, boolean isReturned)
New chat members were invited to a group.

Parameters:
  `memberName` - String Name of the added member.
  `isCurrentUser` - boolean True, if the current user was added to the group.
  `isReturned` - boolean True, if the user has returned to the group themselves.

### PushMessageContentChatAddMembers

public PushMessageContentChatAddMembers​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`